org.apache.ignite.ssl

## Class SSLContextWrapper

- java.lang.Object
- - javax.net.ssl.SSLContext
  - - org.apache.ignite.ssl.SSLContextWrapper

    public class SSLContextWrapper
    extends SSLContext

Wrapper for `SSLContext` that extend source context with custom SSL parameters.

### Constructor Summary

Constructors
Constructor and Description
`SSLContextWrapper(SSLContext delegate, SSLParameters sslParameters)`

### Method Summary

### Methods inherited from class javax.net.ssl.SSLContext

`createSSLEngine, createSSLEngine, getClientSessionContext, getDefault, getDefaultSSLParameters, getInstance, getInstance, getInstance, getProtocol, getProvider, getServerSessionContext, getServerSocketFactory, getSocketFactory, getSupportedSSLParameters, init, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSLContextWrapper

    public SSLContextWrapper(SSLContext delegate,
                             SSLParameters sslParameters)

Parameters:
  `delegate` - Wrapped SSL context.
  `sslParameters` - Extended SSL parameters.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022